Summary: Greymatter on SME
%define name smeserver-pdf-over-lan
Name: %{name}
%define version 2.0
%define release 01
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Mitel/addon
Source: %{name}-%{version}.tar.gz
Packager: Steve Ognenovski 
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-release >= 7.0
Requires: ghostscript >= 7.0

%description
SME Server 7.0 <smeserver.org><contribs.org><centos.org>
This RPM will install a network pdf printer for client systems to use for printing 
quality documents in .pdf format. The pdf is sent to the user email and also sent to the pdfdrop i-bay. 
The groundwork for this implementation was completed by Lasse Johansson <lasse@saxdalen.com> for the SME Server 6.0.1.
Other contributors include Craig D Jensen <cjensen@acenet-tech.org> and Geert Jansen <sqlerror@geert.co.uk> 


%changelog
* Mon Mar 26 2007 Steve Ognenovski <steve@socomms.com>
- [2.0-01]
- removed ghostscript rpm's from initial package
- removed uninstall script
- moved pdfprint /usr/bin
- corrected /etc/smb.conf template
- set correct permissions
- added ghostscript as dependancies 

* Sun Apr 9 2006 Steve Ognenovski
- [1.0-01]
- Initial release

 
%prep

%setup

%build


%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist


%clean
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post
chmod 755 /usr/bin/printpdf 
chmod 755 /usr/sbin/lat-ibays 
/usr/sbin/lat-ibays -a -c "pdfdrop | PDF Location | shared | wr-group-rd-everyone | none | pdfdrop | disabled"
/sbin/e-smith/expand-template /etc/smb.conf
/etc/rc.d/init.d/smb stop
/etc/rc.d/init.d/smb start
echo ""
echo "use Apple Colour Laserwriter 12/600 driver for Windows clients"
echo ""

%postun
/sbin/e-smith/expand-template /etc/smb.conf
/etc/rc.d/init.d/smb stop
/etc/rc.d/init.d/smb start
echo ""
echo "Remove pdfdrop ibay from server-manager"
echo ""


%files -f %{name}-%{version}-filelist
%defattr(0644,root,root)
